package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaProbeArchitectureDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaProbeArchitecture;
import com.loafle.overflow.service.central.meta.MetaProbeArchitectureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaProbeArchitectureService")
public class CentralMetaProbeArchitectureService implements MetaProbeArchitectureService {

    @Autowired
    private MetaProbeArchitectureDAO probeArchitectureDAO;

    public List<MetaProbeArchitecture> readAll() throws OverflowException {
        return this.probeArchitectureDAO.findAll();
    }
}
