package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaProbeVersionDAO;
import com.loafle.overflow.model.meta.MetaProbeVersion;
import com.loafle.overflow.service.central.meta.MetaProbeVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaProbeVersionService")
public class CentralMetaProbeVersionService implements MetaProbeVersionService {

    @Autowired
    private MetaProbeVersionDAO probeVersionDAO;

    public List<MetaProbeVersion> readAll() {
        return this.probeVersionDAO.findAll();
    }
}
