package com.loafle.overflow.central.module.target.service;

import com.loafle.overflow.central.module.target.dao.TargetDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.target.Target;
import com.loafle.overflow.service.central.target.TargetService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service("TargetService")
public class CentralTargetService implements TargetService {

    @Autowired
    private TargetDAO targetDAO;

    public Target regist(Target target) throws OverflowException  {
        return this.targetDAO.save(target);
    }

    public Target read(String id) throws OverflowException  {
        return this.targetDAO.findOne(Long.valueOf(id));
    }

    public void remove(Target target) throws OverflowException {
        this.targetDAO.delete(target);
    }
}
